Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.table
Class AbstractFilterModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.apache.struts2.components.table.AbstractFilterModel

All Implemented Interfaces:
  Serializable, TableModel

Direct Known Subclasses:
  RenderFilterModel, SortFilterModel

    public abstract class AbstractFilterModel

extends AbstractTableModel

See Also:
  Serialized Form

Field Summary
`protected TableModel` | `model`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`AbstractFilterModel(TableModel tm)`

Method Summary
`void` | `addRow(Vector data)`
`Class` | `getColumnClass(int par1)`
`int` | `getColumnCount()`
`String` | `getColumnName(int par1)`
`TableModel` | `getModel()`
`int` | `getRowCount()`
`Object` | `getValueAt(int par1, int par2)`
`boolean` | `isCellEditable(int par1, int par2)`
`void` | `removeAllRows()`
`void` | `removeRow(int rowNum)`
`void` | `setModel(TableModel model)`
`void` | `setValueAt(Object par1, int par2, int par3)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected TableModel model

Constructor Detail

### AbstractFilterModel

    public AbstractFilterModel(TableModel tm)

Method Detail

### isCellEditable

    public boolean isCellEditable(int par1,
                                  int par2)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int par1)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int par1)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### setModel

    public void setModel(TableModel model)

### getModel

    public TableModel getModel()

### getRowCount

    public int getRowCount()

### setValueAt

    public void setValueAt(Object par1,
                           int par2,
                           int par3)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int par1,
                             int par2)

### addRow

    public void addRow(Vector data)
                throws IllegalStateException

  Throws:
    `IllegalStateException`

### removeAllRows

    public void removeAllRows()
                       throws ArrayIndexOutOfBoundsException,
                              IllegalStateException

  Throws:
    `ArrayIndexOutOfBoundsException`
    `IllegalStateException`

### removeRow

    public void removeRow(int rowNum)
                   throws ArrayIndexOutOfBoundsException,
                          IllegalStateException

  Throws:
    `ArrayIndexOutOfBoundsException`
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.